# Generated from deckrb-0.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name deckrb

Name: rubygem-%{gem_name}
Version: 0.5.2
Release: 1%{?dist}
Summary: Make HTML slide shows; wraps deck.js
License: MIT
URL: http://github.com/alexch/deck.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
deck.js (http://imakewebthings.github.com/deck.js) is a JavaScript library for
building slide presentations using HTML 5. deck.rb
(http://github.com/alexch/deck.rb) builds on top of deck.js, adding some
features and letting you focus on your slides, not the HTML infrastructure.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/deck
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/public
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.5.2-1
- Initial package
